package shop.alien.store.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import shop.alien.entity.store.StoreClockIn;
import shop.alien.entity.store.vo.StoreClockInVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 店铺打卡 服务类
 * </p>
 *
 * @author ssk
 * @since 2025-05-15
 */
public interface StoreClockInService extends IService<StoreClockIn> {

    StoreClockIn addStoreClockIn(StoreClockIn storeClockIn);

    IPage<StoreClockInVo> getStoreClockInList(Integer userId, int page, int size, String phoneId, int mySelf,Integer storeId);

    int deleteClockIn(Integer id);

    int setPermission(int userId, Integer id, int permission);

    int setImg(int id, String img);

    List<Map<Integer, Integer>> getStoreClockInCount();
    /**
     * 获取所有店铺打卡次数（有图片并且设置为可见的）
     *
     * @return map
     */
    List<Map<Integer, Integer>> getStoreClockInWithCanLookCount();
}
